Bug 24565 - ILL requests do not display in patron profile in intranet
Summary: ILL requests do not display in patron profile in intranet
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: ILL (show other bugs)
Version: master
Hardware: All All
: P3 major (vote)
Assignee: Andrew Isherwood
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-03 10:53 UTC by Andrew Isherwood
Modified: 2020-04-14 23:37 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24565: Add patron profile to ILL list pages (1.85 KB, patch)
2020-02-03 11:50 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 24565: Add patron profile to ILL list pages (1.90 KB, patch)
2020-03-09 18:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24565: Add patron profile to ILL list pages (1.96 KB, patch)
2020-03-11 12:00 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Isherwood 2020-02-03 10:53:38 UTC
A patron's ILL requests are not displaying on the "ILL requests history" tab on their profile page on intranet.

This is due to a check in ill-list-table.js that checks what page the user is on before sending the API request to get the requests. This check was added in bug 23229. I failed to realise that it adversely affected the patron profile page in this way.

I will create a fix now.
Comment 1 Andrew Isherwood 2020-02-03 11:50:56 UTC
Created attachment 98281 [details] [review]
Bug 24565: Add patron profile to ILL list pages

We need the API call to get ILL requests on the patron profile page,
this commit allows this.

Test plan:
- Do not apply the patch.
- Go to the "Ill requests history" page for a patron who has made ILL
requests
- TEST: Observe that no requests are displayed
- Apply the patch
- Refresh the page
- TEST: Observe that requests are displayed
- Go to the main "ILL requests" page
- TEST: Observe that requests are displayed
Comment 2 Owen Leonard 2020-03-09 18:18:33 UTC
Created attachment 100414 [details] [review]
Bug 24565: Add patron profile to ILL list pages

We need the API call to get ILL requests on the patron profile page,
this commit allows this.

Test plan:
- Do not apply the patch.
- Go to the "Ill requests history" page for a patron who has made ILL
  requests
- TEST: Observe that no requests are displayed
- Apply the patch
- Refresh the page
- TEST: Observe that requests are displayed
- Go to the main "ILL requests" page
- TEST: Observe that requests are displayed

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Martin Renvoize 2020-03-11 12:00:43 UTC
Created attachment 100548 [details] [review]
Bug 24565: Add patron profile to ILL list pages

We need the API call to get ILL requests on the patron profile page,
this commit allows this.

Test plan:
- Do not apply the patch.
- Go to the "Ill requests history" page for a patron who has made ILL
  requests
- TEST: Observe that no requests are displayed
- Apply the patch
- Refresh the page
- TEST: Observe that requests are displayed
- Go to the main "ILL requests" page
- TEST: Observe that requests are displayed

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-03-11 12:01:05 UTC
Clear and trivial code fix.. Passing QA
Comment 5 Martin Renvoize 2020-03-11 13:49:47 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 17:24:10 UTC
Backported to 19.11.x branch for 19.11.05
Comment 7 Lucas Gass 2020-04-10 15:35:51 UTC
backported to 19.05.x for 19.05.10
Comment 8 Hayley Mapley 2020-04-14 23:37:36 UTC
The file that this patch affects does not appear to exist in 18.11.x, not backporting for now - if someone is able to test if this is an issue for 18.11.x I would appreciate it, as I'm struggling to get ILL in a testable state at the moment